Bug 453106 - Failed to install F9 due to video/monitor misdetection
Failed to install F9 due to video/monitor misdetection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-27 06:55 EDT by Jurgen Kramer
Modified: 2009-07-14 13:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:44:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log from Nvidia 8600 GTS (36.36 KB, text/plain)
2008-06-27 06:55 EDT, Jurgen Kramer
no flags Details
Xorg.0.log from Nvidia 6800 GS (anaconda has no problems with this one) (27.58 KB, text/plain)
2008-06-27 06:57 EDT, Jurgen Kramer
no flags Details

  None (edit)
Description Jurgen Kramer 2008-06-27 06:55:34 EDT
Description of problem:
I could not install F9 by using the graphical install method. After switching to
graphics mode my monitor went blank due to (probably) improper resolution
settings. The text installation could not be finished as well, while trying to
configure X (firstboot?) the same problem appeared.

Version-Release number of selected component (if applicable):
anaconda 11 (as used on the F9 i386 install DVD)

How reproducible:
always

Steps to Reproduce:
1. Boot from F9 i386 install DVD
2. Anaconda detects videocard
3. Screen blanks (power led blinks)
  
Actual results:
When switching to graphics mode my screen turns off, the power led start
blinking (probably indicating wrong resolution/freq settings).

Expected results:
Proper supported resolution, able to install F9 in graphics mode

Additional info:
HW details:
Video card: Nvidia 8600 GTS
Monitor: Apple Cinema Display HD, 23"
X itself (by starting X using X or startx) has no problems with this
combination. I managed to install F9 by temporarily swapping my videocard for an
older one (Nvidia 6800 GS). After installation I reinstalled the 8600 GTS and X
gives me a nice 1920x1200 display without manual configuration.

I've attached two Xorg.0.log files (one from the 8600 GTS card and one from the
6800GS). These are taken from my running system not anaconda or firstboot.

I'm happy to supply more info if needed.
Comment 1 Jurgen Kramer 2008-06-27 06:55:34 EDT
Created attachment 310422 [details]
Xorg.0.log from Nvidia 8600 GTS
Comment 2 Jurgen Kramer 2008-06-27 06:57:02 EDT
Created attachment 310423 [details]
Xorg.0.log from Nvidia 6800 GS (anaconda has no problems with this one)
Comment 3 Matěj Cepl 2008-06-27 11:57:51 EDT
Just to emphasize -- apparently here anaconda doesn't work with NVidia 8600 GTS,
but it does with NVidia 6800 GS.
Comment 4 Adam Jackson 2008-07-21 13:17:42 EDT
At least part of this is because we're generating an implausible mode. 
1920x1200 has to fit in a single DVI link of 165MHz, and not:

(II) NV(0): Modeline "1920x1200"x60.0  193.16  1920 2048 2256 2592  1200 1201
1204 1242 -hsync +vsync (74.5 kHz)

... 193.16MHz is right out.
Comment 5 Bug Zapper 2009-06-09 21:48:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:44:37 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.